Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMMutationEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMMutationEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, MutationEvent

Direct Known Subclasses:
  DOMMutationNameEvent

    public class DOMMutationEvent

extends AbstractEvent
implements MutationEvent

The MutationEvent class provides specific contextual information associated with Mutation events.

Field Summary

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMMutationEvent()`

Method Summary
`short` | `getAttrChange()` Implements `MutationEvent.getAttrChange()`.
`String` | `getAttrName()` DOM: `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`String` | `getNewValue()` DOM: `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`String` | `getPrevValue()` DOM: `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`Node` | `getRelatedNode()` DOM: `relatedNode` is used to identify a secondary node related to a mutation event.
`void` | `initMutationEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)` DOM: The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface.
`void` | `initMutationEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)` DOM: Initializes this event object.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Constructor Detail

### DOMMutationEvent

    public DOMMutationEvent()

Method Detail

### getRelatedNode

    public Node getRelatedNode()

  DOM: `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatch to a subtree indicating a node was changed within it, the `relatedNode` is the changed node.

  Specified by:
    `getRelatedNode` in interface `MutationEvent`

### getPrevValue

    public String getPrevValue()

  DOM: `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

  Specified by:
    `getPrevValue` in interface `MutationEvent`

### getNewValue

    public String getNewValue()

  DOM: `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

  Specified by:
    `getNewValue` in interface `MutationEvent`

### getAttrName

    public String getAttrName()

  DOM: `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.

  Specified by:
    `getAttrName` in interface `MutationEvent`

### getAttrChange

    public short getAttrChange()

  Implements `MutationEvent.getAttrChange()`.

  Specified by:
    `getAttrChange` in interface `MutationEvent`

### initMutationEvent

    public void initMutationEvent(String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Node relatedNodeArg,
                                  String prevValueArg,
                                  String newValueArg,
                                  String attrNameArg,
                                  short attrChangeArg)

  DOM: The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface. This method may only be called before the `MutationEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Specified by:
    `initMutationEvent` in interface `MutationEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `relatedNodeArg` - Specifies the `Event`'s related Node
    `prevValueArg` - Specifies the `Event`'s `prevValue` property
    `newValueArg` - Specifies the `Event`'s `newValue` property
    `attrNameArg` - Specifies the `Event`'s `attrName` property
    `attrChangeArg` - Specifies `MutationEvent.attrChange`. This value may be null.

### initMutationEventNS

    public void initMutationEventNS(String namespaceURIArg,
                                    String typeArg,
                                    boolean canBubbleArg,
                                    boolean cancelableArg,
                                    Node relatedNodeArg,
                                    String prevValueArg,
                                    String newValueArg,
                                    String attrNameArg,
                                    short attrChangeArg)

  DOM: Initializes this event object.

  Specified by:
    `initMutationEventNS` in interface `MutationEvent`
  Parameters:
    `namespaceURIArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevValueArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `newValueArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `attrNameArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `attrChangeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.